<?php

	// Includes
	$EnforceSession = false;
	include "includes/includes.php";
	
	// Make sure it carries on
	$displayMySqlErrors = 1;
	$id = request("id");
	$filename = "puzzles/puzzle/" . $id . ".pdf";
		
	// Send out the headers
	//header("Content-Type: text/plain");
	//echo "-------------------------------------------\r\n";
	//echo "Whatever\r\n";
	//echo "-------------------------------------------\r\n";
	header("Content-Type: application/pdf");
	header("Content-Length: ".filesize($filename));
	
	// Send out the file
	readfile($filename);
	
	// Done
	exit();
	
?>